<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormBusqCentroTrabajo"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83aFormNuevoCentroTrabajo"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83acnae" type="java.lang.String" />
				<form-property name="w83asector" type="java.lang.String" />
				<form-property name="w83aregJur" type="java.lang.String" />
				<form-property name="w83amotivoBaja" type="java.lang.String" />
				<form-property name="w83aprovinciac" type="java.lang.String"/>
				<form-property name="w83amunicipioc" type="java.lang.String" />
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.agrupaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.agrupaciones.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantallaCentroTrabajo" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizadaCentroTrabajoTemp" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaCentroTrabajo" type="java.lang.String" initial="false"/>	
				<form-property name="modoPantallaCentroTrabajoTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="mapa" type="java.util.HashMap"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.mantenimiento.agrupacion"/>								
				
				<form-property name="w83aResultado" type="java.lang.String"/>
				
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aCentroTrabajoNuevoCompletoBean" type="w83a.w83aBeans.W83aCentroTrabajoCompletoBean"/>
				<form-property name="w83aCentroTrabajoTempBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aCentroTrabajoNuevoTempBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aListaCentroTrabajo" type="java.util.List"/>				
				<form-property name="w83aListaCod" type="java.util.List"/>				
				<form-property name="w83aListaConvenio" type="java.util.List"/>
				
				<form-property name="w83aContarCentroTrabajo" type="java.lang.Integer"/>
								
				<form-property name="subOpFlag" type="java.lang.String" initial="agrupaciones"/>
				<form-property name="w83acnae" type="java.lang.String" />
				<form-property name="w83asector" type="java.lang.String" />
				<form-property name="w83aregJur" type="java.lang.String" />
				<form-property name="w83amotivoBaja" type="java.lang.String" />
				<form-property name="w83aprovinciac" type="java.lang.String"/>
				<form-property name="w83amunicipioc" type="java.lang.String" />
				
				<form-property name="resultadoHash" type="java.util.HashMap"/>	
				<form-property name="listaCNAE" type="java.util.List"/>	
				
<!--				<form-property name="W83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>-->
				
				
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83aInicioNuevoCentroTrabajo" forward="paginaNuevoCentroTrabajo"/>
		
		<!--	DISPATCHES-->
		
		
		<!-- Operaciones de Paso -->
		<action path="/w83aInicioBusquedaCentroTrabajo" 
			 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aInicioBusquedaCentroTrabajoAction" 
			 validate="false">
		</action>
		<action path="/w83aContarCentroTrabajoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aContarCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aContarCentroTrabajo.do"/>
		</action>
		<action path="/w83aContarCentroTrabajoDocumentacionOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aContarCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aContarCentroTrabajoDocumentacion.do"/>
		</action>
		<action path="/w83aContarCentroTrabajoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aContarCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aVolverDeCentroTrabajo" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aVolverCentroTrabajoAction" 
			 validate="false">
			<forward name="ok" path="/w83aSubOpCentroTrabajoEnd.do"/>
			<forward name="error" path="/w83aInicioBusquedaCentroTrabajo.do"/>
		</action>	
		<action path="/w83aSeleccionarCentroTrabajoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aSeleccionarCentroTrabajoOPAction" 
			 validate="false">
		</action>
		<!-- SUB-OPERACIONES -->
		<action path="/w83aSubOpCentroTrabajoInit" forward="/w83aInicioBusquedaCentroTrabajo.do">
			<set-property property="subOp" value="init" />
		</action>
		<action path="/w83aSubOpCentroTrabajoEnd" forward="/w83aSubOpCentroTrabajoInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<action path="/w83aTablaCentroTrabajoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaCentroTrabajoOPAction" 
			 validate="false">
			<forward name="find" path="/w83aBusqCentroTrabajo.do"/>
			<forward name="ok" path="/w83aTablaCentroTrabajoOutOP.do"/>
			<forward name="outOP" path="/w83aTablaCentroTrabajoOutOP.do"/>
			<forward name="error" path="/w83aInicioBusquedaCentroTrabajo.do"/>
		</action>
		<action path="/w83aTablaCentroTrabajoDocumentacionOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaCentroTrabajoOPAction" 
			 validate="false">
			<forward name="find" path="/w83aBusqCentroTrabajoDocumentacion.do"/>
			<forward name="ok" path="/w83aTablaCentroTrabajoOutOP.do"/>
			<forward name="outOP" path="/w83aTablaCentroTrabajoOutOP.do"/>
			<forward name="error" path="/w83aInicioBusquedaCentroTrabajo.do"/>
		</action>
		<action path="/w83aTablaCentroTrabajoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		<action path ="/w83aContarCentroTrabajo" 
			 parameter="w83aContarCentroTrabajoOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aContarCentroTrabajoOutOP.do" />
					
		</action>
		<action path ="/w83aContarCentroTrabajoDocumentacion" 
			 parameter="w83aContarCentroTrabajoDocumentacionOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aContarCentroTrabajoOutOP.do" />
					
		</action>
	<!-- operaciones internas -->
		<action path ="/w83aBusqCentroTrabajo" 
			 parameter="w83aBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aTablaCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83aInicioBusquedaCentroTrabajo.do" />
		</action>
		<action path ="/w83aBusqCentroTrabajoDocumentacion" 
			 parameter="w83aBusqCentroTrabajoDocumentacionOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aTablaCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83aInicioBusquedaCentroTrabajo.do" />
		</action>
		<action path="/w83aDetalleCentroTrabajoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aDetalleCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDetalleCentroTrabajo.do"/>
		</action>	
		<action path ="/w83aDetalleCentroTrabajo"
			 parameter="W83aDetalleCentroTrabajoOI" 
			 validate="false"
			 input="/w83aInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDetalleCentroTrabajoOutOP.do" />					
		</action>
		<action path="/w83aDetalleCentroTrabajoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aDetalleCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		<!-- fin operaciones internas -->
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml,
											/WEB-INF/validators-config/mantenimientos/validation-agrupaciones.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>